# glvideomixerelement

OpenGL video_mixer

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstAggregator
                        ╰──GstVideoAggregator
                            ╰──GstGLBaseMixer
                                ╰──GstGLMixer
                                    ╰──glvideomixerelement

## Implemented interfaces

    GstChildProxy

## Factory details

Authors: – Matthew Waters <matthew@centricular.com></matthew@centricular.com>

Classification: – `Filter/Effect/Video/Compositor`

Rank – none

Plugin – opengl

Package – GStreamer Base Plug-ins

## Pad Templates

### `sink_%u`

    video/x-raw(memory:GLMemory):
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – request

Direction – sink

Object type – GstGLVideoMixerPad

### `src`

    video/x-raw(memory:GLMemory):
             format: RGBA
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – src

Object type – GstAggregatorPad

## Properties

### background

    “background” GstGLVideoMixerBackground *

Background type

Flags : Read / Write

Default value : checker (0)

## Named constants

### GstGLVideoMixerBackground

The different backgrounds compositor can blend over.

#### Members

`checker` (0) – Checker pattern
`black` (1) – Black
`white` (2) – White
`transparent` (3) – Transparent Background to enable further compositing

The results of the search are